%define upstream_name    Text-LevenshteinXS
%define upstream_version 0.03

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 14

Summary:	An XS implementation of the Levenshtein edit distance
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl-devel
BuildRequires:	perl(Test)


%description
This module implements the Levenshtein edit distance in a XS way.

The Levenshtein edit distance is a measure of the degree of proximity between
two strings. This distance is the number of substitutions, deletions or
insertions ("edits") needed to transform one string into the other one (and
vice versa). When two strings have distance 0, they are the same. A good point
to start is: <http://www.merriampark.com/ld.htm>

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorarch/Text
%perl_vendorarch/auto/Text


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.30.0-14.mga6
+ Revision: 1034955
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.30.0-13.mga6
+ Revision: 958083
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.30.0-12.mga6
+ Revision: 845339
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 0.30.0-11.mga6
+ Revision: 841481
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.30.0-10.mga5
+ Revision: 743288
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.30.0-9.mga5
+ Revision: 686631
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.30.0-8.mga5
+ Revision: 631810
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.30.0-7.mga4
+ Revision: 524560
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.30.0-6.mga4
+ Revision: 430972
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.30.0-5.mga3
+ Revision: 374121
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.30.0-4.mga3
+ Revision: 251233
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 0.30.0-3.mga2
+ Revision: 105057
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.30.0-2.mga1
+ Revision: 31324
- mageia rebuild
- imported package perl-Text-LevenshteinXS


* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 0.30.0-2mdv2011.0
+ Revision: 556174
- rebuild for perl 5.12

* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.30.0-1mdv2010.0
+ Revision: 405711
- rebuild using %%perl_convert_version

* Wed Nov 12 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.03-2mdv2009.1
+ Revision: 302525
- fix description

* Wed Nov 12 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.03-1mdv2009.1
+ Revision: 302514
- import perl-Text-LevenshteinXS


* Wed Nov 12 2008 cpan2dist 0.03-1mdv
- initial mdv release, generated with cpan2dist

